# ScrollProperties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Encapsulates properties related to scrolling.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ScrollProperties
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ScrollProperties
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Orientation

[ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md): Returns the orientation of the scrollbar. (Default: `False`)

### ![](/files/lzopMboA31bVq8UIcbT3) Owner

[Control](/api/wisej.web/general/control.md): The control that owns the scrollbar.

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets a numeric value that represents the current position of the scroll bar. (Default: `0`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Visible

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns whether the scroll bar is visible. (Default: `False`)

## Inherited By

| Name                                                                                 | Description                                                                                                     |
| ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------- |
| [HScrollProperties](/api/wisej.web/content/scrollbar/wisej.web.hscrollproperties.md) | Provides basic properties for the [HScrollBar](/api/wisej.web/content/scrollbar/wisej.web.hscrollbar.md)        |
| [VScrollProperties](/api/wisej.web/content/scrollbar/wisej.web.vscrollproperties.md) | Provides basic properties for the [VScrollBar](/api/wisej.web/content/scrollbar/wisej.web.vscrollbar.md) class. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/scrollbar/wisej.web.scrollproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
